Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_FlowConsumer Class Reference

`#include <AVStreams_i.h>`

Inheritance diagram for TAO_FlowConsumer:

[legend]
Collaboration diagram for TAO_FlowConsumer:

[legend]
List of all members.

## Public Methods
| TAO_FlowConsumer (void)
| default constructor. More...
| TAO_FlowConsumer (const char *flowname, AVStreams::protocolSpec protocols, const char *format)
virtual void | stop (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
| stop this flow, to be overridden by the application. More...
virtual void | start (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
| start this flow, to be overridden by the application. More...
virtual char * | go_to_listen (AVStreams::QoS &the_qos, CORBA::Boolean is_mcast, AVStreams::FlowEndPoint_ptr peer, char *&flowProtocol ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, AVStreams::failedToListen, AVStreams::FPError, AVStreams::QoSRequestFailed)
| This should be implemented in both the FlowProducer and consumer and hence is pure virtual since we need to know the role of the flowendpoint to create appropriate protocol objects. More...
virtual CORBA::Boolean | connect_to_peer (AVStreams::QoS &the_qos, const char *address, const char *use_flow_protocol ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, AVStreams::failedToConnect, AVStreams::FPError, AVStreams::QoSRequestFailed)
| This should be implemented in both the FlowProducer and consumer and hence is pure virtual since we need to know the role of the flowendpoint to create appropriate protocol objects. More...

## Constructor & Destructor Documentation

TAO_FlowConsumer::TAO_FlowConsumer | ( | void |  | ) |

| default constructor.

TAO_FlowConsumer::TAO_FlowConsumer | ( | const char * | flowname,
|  | AVStreams::protocolSpec | protocols,
|  | const char * | format
| ) |

## Member Function Documentation

CORBA::Boolean TAO_FlowConsumer::connect_to_peer | ( | AVStreams::QoS & | the_qos,
|  | const char * | address,
|  | const char *use_flow_protocol | ACE_ENV_ARG_DECL
| ) | throw (CORBA::SystemException, AVStreams::failedToConnect, AVStreams::FPError, AVStreams::QoSRequestFailed)`[virtual]`

| This should be implemented in both the FlowProducer and consumer and hence is pure virtual since we need to know the role of the flowendpoint to create appropriate protocol objects. eg. in SFP to create Producer Object/ Consumer Object. Reimplemented from TAO_FlowEndPoint.

char * TAO_FlowConsumer::go_to_listen | ( | AVStreams::QoS & | the_qos,
|  | CORBA::Boolean | is_mcast,
|  | AVStreams::FlowEndPoint_ptr | peer_fep,
|  | char *&flowProtocol | ACE_ENV_ARG_DECL
| ) | throw (CORBA::SystemException, AVStreams::failedToListen, AVStreams::FPError, AVStreams::QoSRequestFailed)`[virtual]`

| This should be implemented in both the FlowProducer and consumer and hence is pure virtual since we need to know the role of the flowendpoint to create appropriate protocol objects. eg. in SFP to create Producer Object/ Consumer Object. Reimplemented from TAO_FlowEndPoint.

void TAO_FlowConsumer::start | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

| start this flow, to be overridden by the application.

void TAO_FlowConsumer::stop | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

| stop this flow, to be overridden by the application.

The documentation for this class was generated from the following files:

- AVStreams_i.h
- AVStreams_i.cpp